# Generated by Django 2.2 on 2019-06-26 08:20

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('apps', '0004_auto_20190621_1103'),
    ]

    operations = [
        migrations.AlterField(
            model_name='systemcreditaccount',
            name='balance',
            field=models.IntegerField(),
        ),
        migrations.CreateModel(
            name='LogSystemCreditAccount',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('deleted', models.DateTimeField(editable=False, null=True)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('old_balance', models.CharField(max_length=20)),
                ('new_balance', models.CharField(max_length=20)),
                ('action', models.IntegerField(choices=[(1, 'Initial Balance'), (2, 'Update Balance')])),
                ('system_credit_account', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='apps.SystemCreditAccount')),
                ('transaction', models.OneToOneField(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='apps.Transaction')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='LogSystemBankAccount',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('deleted', models.DateTimeField(editable=False, null=True)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('old_balance', models.CharField(max_length=20)),
                ('new_balance', models.CharField(max_length=20)),
                ('action', models.IntegerField(choices=[(1, 'Initial Balance'), (2, 'Update Balance')])),
                ('system_bank_account', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='apps.SystemBankAccount')),
                ('transaction', models.OneToOneField(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='apps.Transaction')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'abstract': False,
            },
        ),
    ]
